brooklyn-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Richard Downer (JIRA)" <j...@apache.org>
Subject [jira] [Resolved] (BROOKLYN-21) Verify licenses of dependencies
Date Thu, 18 Sep 2014 11:05:34 GMT

     [ https://issues.apache.org/jira/browse/BROOKLYN-21?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Richard Downer resolved BROOKLYN-21.
------------------------------------
    Resolution: Fixed

I am now satisfied that our source and binary releases do not contain any material that is
not compatible with our Apache license.

> Verify licenses of dependencies
> -------------------------------
>
>                 Key: BROOKLYN-21
>                 URL: https://issues.apache.org/jira/browse/BROOKLYN-21
>             Project: Brooklyn
>          Issue Type: Sub-task
>            Reporter: Richard Downer
>            Assignee: Richard Downer
>             Fix For: 0.7.0-M2
>
>
> Our dependencies must be compatible with ASF licensing policy; see: https://www.apache.org/legal/resolved.html
> A slightly looser standard may apply in some cases, see:
>   * https://mail-archives.apache.org/mod_mbox/www-legal-discuss/201406.mbox/%3CCAOGo0VbmxVZgDnJAoUhUYuXMUobHN_sQgAaTX4ThhRbzgA2aEw%40mail.gmail.com%3E
>   * https://mail-archives.apache.org/mod_mbox/www-legal-discuss/201406.mbox/%3CCAM1oqKqZqxmAM8yt%2BD0d0UJ_AfibxiCAbcRPsU0FL8xSpLHQFA%40mail.gmail.com%3E
>   * https://mail-archives.apache.org/mod_mbox/www-legal-discuss/201406.mbox/%3CCAM1oqKqDDj_tHmu5UuPQumbc%2Bj4Bb0aGPpwmeJu47k6WguoWcA%40mail.gmail.com%3E
> This may be useful for test-scoped dependencies (e.g. the LGPL MySQL JDBC driver), as
long as we ensure that the user has to undertake an "informed action" to start using the non-policy-compliant
dependencies.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message